@charset "UTF-8";
.hero {
  position: relative; /* Indispensable pour que le texte se place par rapport à lui */
  width: 100vw;
  height: 100vh;
  min-height: 550px;
  display: flex;
  align-items: center;
  padding-top: var(--header-height);
  overflow: hidden;
  margin-left: calc(-50vw + 50%);
  margin-right: calc(-50vw + 50%);
}
.hero::before {
  content: "";
  position: absolute; /* 'absolute' est mieux ici pour rester lié à la section hero */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.8), transparent), url("./../assets/images/chateau-bg.webp");
  background-position: 90% 50%;
  background-size: cover;
  filter: grayscale(100%) brightness(0.5) blur(2px); /* Exemple d'effets cumulés */
  z-index: 1; /* Couche basse */
}
.hero .container {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  width: 100%;
  height: 100%;
  gap: 20px;
  padding: 10px;
}
.hero .container .hero-content {
  grid-column: 1/7;
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 20px;
  margin: 0 auto;
  top: 20px;
}
.hero .container .hero-content .hero-details {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.hero .container .hero-content .hero-title {
  font-size: 75px;
  text-transform: uppercase;
  font-weight: 400;
}
.hero .container .hero-content .hero-subtitle {
  font-size: 22px;
  font-weight: 100;
  line-height: 120%;
  font-weight: 400;
}
.hero .container .hero-content .hero-description {
  font-size: 18px;
  font-weight: 200;
  line-height: 1.3;
}
.hero .container .hero-content .btn-cta {
  color: var(--text-color);
  display: inline-flex;
  padding: 24px 36px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  font-size: 18px;
  font-weight: 400;
  border-radius: 9999px;
  border: 1px solid var(--primary-color);
  background: rgba(196, 196, 196, 0.01);
  text-decoration: none;
  backdrop-filter: blur(10px);
}
.hero .chevathieu {
  position: absolute;
  z-index: 2;
  width: 250px;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 95%;
  pointer-events: none;
}

@media (min-width: 768px) {
  .hero .container .hero-content {
    padding: 0;
    top: -60px;
    justify-content: center;
    grid-column: 2/6;
  }
  .hero .container .hero-content .hero-details {
    width: calc((100% - 5px) / 4 * 3);
  }
  .hero .container .hero-content .btn-cta {
    width: fit-content;
  }
  .hero .chevathieu {
    transform: translate(0, 0);
    right: -50px;
    left: auto;
    width: 450px;
    top: 300px;
  }
}
@media (min-width: 790px) {
  .hero .hero-content .hero-details {
    width: calc((100% - 5px) / 4 * 3);
  }
  .hero .chevathieu {
    width: 500px;
    top: 210px;
  }
}
@media (min-width: 1280px) {
  .hero .container .hero-content .hero-title {
    font-size: 150px;
  }
  .hero .container .hero-content .hero-subtitle {
    font-size: 32px;
  }
  .hero .container .hero-content .hero-description {
    font-size: 20px;
  }
  .hero .container .hero-content .btn-cta {
    width: fit-content;
  }
  .hero .chevathieu {
    right: 0;
    top: 185px;
    left: auto;
    width: 600px;
  }
}
@media (min-width: 1440px) {
  .hero .container .hero-content {
    grid-column: 2/5;
  }
  .hero .chevathieu {
    right: 10%;
  }
}
